package cn.bunny.service.controller;

import cn.bunny.entity.order.Order;
import cn.bunny.pojo.result.Result;
import cn.bunny.service.mapper.OrderMapper;
import cn.bunny.service.service.OrderService;
import cn.bunny.service.service.UserService;
import cn.bunny.vo.page.PageResult;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author order
 * @since 2024-07-29
 */
@Tag(name = "订单表")
@RestController
@RequestMapping("/api/order")
public class OrderController {
    @Autowired
    private OrderService orderService;
    @Autowired
    private UserService userService;
    @Autowired
    private OrderMapper orderMapper;

    @Operation(summary = "分页查询订单", description = "分页查询订单")
    @GetMapping("queryPage/{page}/{limit}")
    public Result<PageResult<Order>> queryPage(@PathVariable Integer limit, @PathVariable Integer page) {
        Page<Order> pageParams = new Page<>(page, limit);
        PageResult<Order> vo = orderService.queryPage(pageParams);
        return Result.success(vo);
    }

    @Operation(summary = "插入数据", description = "插入数据")
    @PostMapping("addOrder")
    public Result<Order> addOrder(@RequestBody Order order) {
        for (long i = 5; i < 9; i++) {
            order = new Order();
            order.setOrderNo("ATGUIGU" + i);
            order.setUserId(2L);
            order.setAmount(new BigDecimal(100));
            orderMapper.insert(order);
        }
        return Result.success();
    }
}
